Discards values from right, while a test passes. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [drop], [dropRight], [dropWhile], [dropWhileRight].<br>
> Similar: [take], [drop].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
iterable.dropWhileRight(x, ft);
// x:  an iterable
// ft: test function (v, i, x)
```

```javascript
const iterable = require('extra-iterable');

var x = [1, 2, 3, 4, 5];
[...iterable.dropWhileRight(x, v => v >= 3)];
// [ 1, 2 ]

[...iterable.dropWhileRight(x, v => v >= 4)];
// [ 1, 2, 3 ]
```

### references

- [Data.List.dropWhile: Haskell](https://hackage.haskell.org/package/base-4.14.0.0/docs/Data-List.html#v:dropWhile)
- [Array.prototype.slice: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/slice)

[drop]: https://github.com/nodef/extra-iterable/wiki/drop
[dropWhile]: https://github.com/nodef/extra-iterable/wiki/dropWhile
[take]: https://github.com/nodef/extra-iterable/wiki/take
[:running:]: https://npm.runkit.com/@extra-iterable/drop-while-right
[:package:]: https://www.npmjs.com/package/@extra-iterable/drop-while-right
[:moon:]: https://www.npmjs.com/package/@extra-iterable/drop-while-right.min
[:ledger:]: https://unpkg.com/@extra-iterable/drop-while-right/
[dropRight]: https://github.com/nodef/extra-iterable/wiki/dropRight
[dropWhileRight]: https://github.com/nodef/extra-iterable/wiki/dropWhileRight
[:vhs:]: https://asciinema.org/a/339739
